commit: 45ee04ae7ab32e7ad1bd4182a21cb96831c7e89d
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 16 17:58:26 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jun 16 17:59:03 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45ee04ae
games-emulation/m64py: Add py3.7
Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: David Seifert <soap <AT> gentoo.org>
games-emulation/m64py/m64py-0.2.4.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/games-emulation/m64py/m64py-0.2.4.ebuild
b/games-emulation/m64py/m64py-0.2.4.ebuild
index bd849bbab87..3a2bbf16337 100644
--- a/games-emulation/m64py/m64py-0.2.4.ebuild
+++ b/games-emulation/m64py/m64py-0.2.4.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_{5,6} )
+PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1 xdg-utils
@@ -37,9 +37,9 @@ RDEPEND="
python_prepare_all() {
# set the correct search path
- cat >> src/m64py/platform.py <<-_EOF_
+ cat >> src/m64py/platform.py <<-_EOF_ || die
SEARCH_DIRS = ["/usr/$(get_libdir)/mupen64plus"]
-_EOF_
+ _EOF_
distutils-r1_python_prepare_all
}